OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class DbPollEvent

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollEvent
          org.opennms.netmgt.poller.pollables.DbPollEvent

public class DbPollEvent
extends PollEvent

Represents a DbPollEvent

Author:
  brozow

Field Summary
`(package private) java.util.Date` `m_date`
`(package private) int` `m_eventId`

Constructor Summary
`DbPollEvent(int eventId, java.util.Date date)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`boolean` `equals(PollEvent e)`
`java.util.Date` `getDate()`
`int` `getEventId()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_eventId

    int m_eventId

### m_date

    java.util.Date m_date

Constructor Detail

### DbPollEvent

    public DbPollEvent(int eventId,
                       java.util.Date date)

Method Detail

### getEventId

    public int getEventId()

  Specified by:
    `getEventId` in class `PollEvent`

### getDate

    public java.util.Date getDate()

  Specified by:
    `getDate` in class `PollEvent`

### hashCode

    public int hashCode()

### equals

    public boolean equals(PollEvent e)

### equals

    public boolean equals(java.lang.Object o)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.